      SUBROUTINE SET (S1,S2,NA,NB,RAB,NBOND,II)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
      common /SETC/ A(7),B(7),SA,SB,FACTOR,ISP,IPS
C***********************************************************************
C
C     SET IS PART OF THE OVERLAP CALCULATION, CALLED BY OVERLP.
C         IT callS AINTGS AND BINTGS
C
C***********************************************************************
      if (NA.GT.NB) go to 10
      ISP=1
      IPS=2
      SA=S1
      SB=S2
      go to 20
   10 ISP=2
      IPS=1
      SA=S2
      SB=S1
   20 J=II+2
      if (II.GT.3) J=J-1
      ALPHA=0.5D00*RAB*(SA+SB)
      BETA=0.5D00*RAB*(SB-SA)
      Jcall=J-1
      call AINTGS (ALPHA,JCALL)
      call BINTGS (BETA,JCALL)
      return
C
      end
